=== src/Makefile ===
all:
	find . -mindepth 2 -name Makefile \
	    | while read m; do make -C $$(dirname $$m) all || exit 1; done

clean:
	rm -rf doxygen-html
	find . -mindepth 2 -name Makefile \
	    | while read m; do make -C $$(dirname $$m) clean || exit 1; done

rebuild:
	find . -mindepth 2 -name Makefile \
	    | while read m; do make -C $$(dirname $$m) rebuild || exit 1; done

doc:
	rm -rf doxygen-html
	find . -mindepth 2 -name Makefile \
	    | while read m; do make -C $$(dirname $$m) doc || exit 1; done
