=== tools/Makefile ===
# This file generated by make-makefile, do not edit!
# Create Makefile-include.txt instead for your customizations.
CC := gcc
CFLAGS := -Wall -Werror -g -fmax-errors=99 -Wuninitialized -Wmissing-prototypes -Wredundant-decls
LIBS :=

.PHONY: all
all:
	cd ./chart && make all
	cd ./faaairports && make all
	cd ./ourairports_com && make all
	make  create-ils.exe create-ufo-obv.exe

#include Makefile-include.txt

.PHONY: test
test: create-ils.exe create-ufo-obv.exe
	./create-ils.exe
	./create-ufo-obv.exe


.PHONY: clean
clean:
	rm -f *.o *.exe *.stackdump create-ils create-ufo-obv
	cd ./chart && make clean
	cd ./faaairports && make clean
	cd ./ourairports_com && make clean

create-ils.o: create-ils.c ../src/V/Vlibmath.h ../src/dis/dis/earth.h ../src/util/error.h ../src/util/memory.h ../src/util/reader.h ../src/util/units.h
	$(CC) $(CFLAGS) -c create-ils.c -o create-ils.o

create-ils.exe: ../src/V/Vlibmath.o ../src/dis/dis/earth.o ../src/util/error.o ../src/util/memory.o ../src/util/reader.o ../src/util/units.o create-ils.o
	$(CC) $(CFLAGS) -o create-ils.exe  ../src/V/Vlibmath.o ../src/dis/dis/earth.o ../src/util/error.o ../src/util/memory.o ../src/util/reader.o ../src/util/units.o create-ils.o $(LIBS) -lm 

create-ufo-obv.o: create-ufo-obv.c ../src/V/Vlibmath.h
	$(CC) $(CFLAGS) -c create-ufo-obv.c -o create-ufo-obv.o

create-ufo-obv.exe: ../src/V/Vlibmath.o create-ufo-obv.o
	$(CC) $(CFLAGS) -o create-ufo-obv.exe  ../src/V/Vlibmath.o create-ufo-obv.o $(LIBS) -lm 

# Checksum of the original file: 1491430480
