=== src/V/Makefile ===
# This file generated by make-makefile, do not edit!
# Create Makefile-include.txt instead for your customizations.
CC := gcc
CFLAGS := -Wall -Werror -g -fmax-errors=99 -Wuninitialized -Wmissing-prototypes -Wredundant-decls
LIBS :=

.PHONY: all
all:
	make  Alib.o VColor.o VGlyph.o VObjects.o VPoly.o VRoman.o Vlib.o Vlibmath.o

#include Makefile-include.txt

.PHONY: clean
clean:
	rm -f *.o *.exe *.stackdump

Alib.o: Alib.c Alib.h ../util/error.h ../util/gui.h ../util/memory.h ../util/units.h VColor.h VPoly.h Vlibmath.h
	$(CC) $(CFLAGS) -c Alib.c -o Alib.o

VColor.o: VColor.c VColor.h ../util/error.h ../util/gui.h ../util/memory.h ../util/sparsearray.h
	$(CC) $(CFLAGS) -c VColor.c -o VColor.o

VGlyph.o: VGlyph.c VGlyph.h
	$(CC) $(CFLAGS) -c VGlyph.c -o VGlyph.o

VObjects.o: VObjects.c VObjects.h ../util/error.h ../util/memory.h ../util/units.h VColor.h VPoly.h Vlibmath.h
	$(CC) $(CFLAGS) -c VObjects.c -o VObjects.o

VPoly.o: VPoly.c VPoly.h ../util/error.h ../util/memory.h ../util/units.h VColor.h Vlibmath.h
	$(CC) $(CFLAGS) -c VPoly.c -o VPoly.o

VRoman.o: VRoman.c VRoman.h VGlyph.h
	$(CC) $(CFLAGS) -c VRoman.c -o VRoman.o

Vlib.o: Vlib.c Vlib.h ../util/gui.h ../util/memory.h ../util/units.h Alib.h VColor.h VGlyph.h VPoly.h VRoman.h Vlibmath.h
	$(CC) $(CFLAGS) -c Vlib.c -o Vlib.o

Vlibmath.o: Vlibmath.c Vlibmath.h
	$(CC) $(CFLAGS) -c Vlibmath.c -o Vlibmath.o

# Checksum of the original file: 4113147918
