=== src/acm/Makefile ===
# This file generated by make-makefile, do not edit!
# Create Makefile-include.txt instead for your customizations.
CC := gcc
CFLAGS := -Wall -Werror -g -fmax-errors=99 -Wuninitialized -Wmissing-prototypes -Wredundant-decls
LIBS :=

.PHONY: all
all:
	make  acm.exe adf.o aim120.o aim9m.o air.o alarm.o aps.o astro.o box.o browse.o ccip.o commands.o damage.o dis_if.o draw.o drone.o effects.o events.o flaps.o gear.o hsi.o hud.o init.o instruments.o interpolate.o inventory.o joystick.o list.o m61a1.o magnetic_compass.o manifest.o missile.o mouse.o navaid.o panel.o patchlevel.o place.o planes.o players.o pm.o prompt.o radar.o render.o runway.o scale.o sounds.o terminal.o terrain.o update.o viewer.o vpath.o vpath_gallery.o weapon.o weapon_null.o windows.o zone.o zones.o

include Makefile-include.txt

.PHONY: test
test: acm.exe
	./acm.exe


.PHONY: clean
clean:
	rm -f *.o *.exe *.stackdump acm

acm.o: acm.c ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/disx.h ../dis/dis/earth.h ../util/error.h ../util/gui.h ../util/memory.h ../util/reader.h ../util/units.h ../util/varray.h air.h box.h damage.h dis_if.h drone.h effects.h gear.h init.h interpolate.h inventory.h joystick.h list.h m61a1.h manifest.h mouse.h patchlevel.h players.h pm.h render.h scale.h update.h weapon.h zone.h zones.h
	$(CC) $(CFLAGS) -c acm.c -o acm.o

acm.exe: ../V/Alib.o ../V/VColor.o ../V/VGlyph.o ../V/VObjects.o ../V/VPoly.o ../V/VRoman.o ../V/Vlib.o ../V/Vlibmath.o ../dis/dis/datum.o ../dis/dis/dis.o ../dis/dis/disx.o ../dis/dis/earth.o ../dis/dis/xdr.o ../dis/dis/xdr_dis.o ../util/audio.o ../util/error.o ../util/gui.o ../util/memory.o ../util/prng.o ../util/reader.o ../util/sparsearray.o ../util/timer.o ../util/units.o ../util/varray.o ../util/wav.o ../util/zulu.o ../wmm/Geomagnetism.o ../wmm/wmm.o acm.o adf.o aim120.o aim9m.o air.o alarm.o aps.o astro.o box.o browse.o ccip.o commands.o damage.o dis_if.o draw.o drone.o effects.o events.o flaps.o gear.o hsi.o hud.o init.o instruments.o interpolate.o inventory.o joystick.o list.o m61a1.o magnetic_compass.o manifest.o missile.o mouse.o navaid.o panel.o patchlevel.o place.o planes.o players.o pm.o prompt.o radar.o render.o runway.o scale.o sounds.o terminal.o terrain.o update.o viewer.o vpath.o vpath_gallery.o weapon.o weapon_null.o windows.o zone.o zones.o
	$(CC) $(CFLAGS) -o acm.exe  ../V/Alib.o ../V/VColor.o ../V/VGlyph.o ../V/VObjects.o ../V/VPoly.o ../V/VRoman.o ../V/Vlib.o ../V/Vlibmath.o ../dis/dis/datum.o ../dis/dis/dis.o ../dis/dis/disx.o ../dis/dis/earth.o ../dis/dis/xdr.o ../dis/dis/xdr_dis.o ../util/audio.o ../util/error.o ../util/gui.o ../util/memory.o ../util/prng.o ../util/reader.o ../util/sparsearray.o ../util/timer.o ../util/units.o ../util/varray.o ../util/wav.o ../util/zulu.o ../wmm/Geomagnetism.o ../wmm/wmm.o acm.o adf.o aim120.o aim9m.o air.o alarm.o aps.o astro.o box.o browse.o ccip.o commands.o damage.o dis_if.o draw.o drone.o effects.o events.o flaps.o gear.o hsi.o hud.o init.o instruments.o interpolate.o inventory.o joystick.o list.o m61a1.o magnetic_compass.o manifest.o missile.o mouse.o navaid.o panel.o patchlevel.o place.o planes.o players.o pm.o prompt.o radar.o render.o runway.o scale.o sounds.o terminal.o terrain.o update.o viewer.o vpath.o vpath_gallery.o weapon.o weapon_null.o windows.o zone.o zones.o $(LIBS) -lm 

adf.o: adf.c adf.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/earth.h ../util/gui.h ../util/memory.h ../util/units.h air.h interpolate.h inventory.h manifest.h navaid.h pm.h scale.h vpath.h vpath_gallery.h zone.h zones.h
	$(CC) $(CFLAGS) -c adf.c -o adf.o

aim120.o: aim120.c aim120.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/earth.h ../util/gui.h ../util/memory.h ../util/units.h air.h gear.h init.h interpolate.h inventory.h manifest.h missile.h pm.h scale.h sounds.h weapon.h zone.h zones.h
	$(CC) $(CFLAGS) -c aim120.c -o aim120.o

aim9m.o: aim9m.c aim9m.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/earth.h ../util/gui.h ../util/memory.h ../util/units.h air.h gear.h init.h interpolate.h inventory.h manifest.h missile.h pm.h scale.h sounds.h weapon.h zone.h zones.h
	$(CC) $(CFLAGS) -c aim9m.c -o aim9m.o

air.o: air.c air.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/earth.h ../util/gui.h ../util/prng.h ../util/units.h interpolate.h inventory.h manifest.h pm.h scale.h zone.h zones.h
	$(CC) $(CFLAGS) -c air.c -o air.o

alarm.o: alarm.c alarm.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/earth.h ../util/gui.h ../util/memory.h ../util/units.h air.h interpolate.h inventory.h manifest.h pm.h scale.h zone.h zones.h
	$(CC) $(CFLAGS) -c alarm.c -o alarm.o

aps.o: aps.c aps.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/earth.h ../util/gui.h ../util/memory.h ../util/units.h air.h flaps.h gear.h hsi.h interpolate.h inventory.h manifest.h pm.h scale.h terrain.h zone.h zones.h
	$(CC) $(CFLAGS) -c aps.c -o aps.o

astro.o: astro.c astro.h ../V/Vlibmath.h ../util/error.h ../util/memory.h ../util/zulu.h
	$(CC) $(CFLAGS) -c astro.c -o astro.o

box.o: box.c box.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/earth.h ../util/error.h ../util/gui.h ../util/memory.h ../util/units.h air.h interpolate.h inventory.h manifest.h planes.h pm.h scale.h zone.h zones.h
	$(CC) $(CFLAGS) -c box.c -o box.o

browse.o: browse.c browse.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/disx.h ../dis/dis/earth.h ../util/gui.h ../util/units.h ../util/varray.h air.h box.h damage.h dis_if.h drone.h interpolate.h inventory.h joystick.h manifest.h pm.h render.h scale.h zone.h zones.h
	$(CC) $(CFLAGS) -c browse.c -o browse.o

ccip.o: ccip.c ccip.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/disx.h ../dis/dis/earth.h ../util/gui.h ../util/memory.h ../util/units.h ../util/varray.h air.h damage.h dis_if.h draw.h effects.h gear.h init.h interpolate.h inventory.h manifest.h pm.h scale.h terrain.h weapon.h zone.h zones.h
	$(CC) $(CFLAGS) -c ccip.c -o ccip.o

commands.o: commands.c commands.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/earth.h ../util/gui.h ../util/units.h air.h interpolate.h inventory.h list.h manifest.h players.h pm.h scale.h terminal.h zone.h zones.h
	$(CC) $(CFLAGS) -c commands.c -o commands.o

damage.o: damage.c damage.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/earth.h ../util/gui.h ../util/prng.h ../util/units.h air.h interpolate.h inventory.h manifest.h pm.h scale.h sounds.h zone.h zones.h
	$(CC) $(CFLAGS) -c damage.c -o damage.o

dis_if.o: dis_if.c dis_if.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/datum.h ../dis/dis/dis.h ../dis/dis/disx.h ../dis/dis/earth.h ../util/error.h ../util/gui.h ../util/memory.h ../util/prng.h ../util/units.h ../util/varray.h air.h interpolate.h inventory.h manifest.h pm.h scale.h update.h zone.h zones.h
	$(CC) $(CFLAGS) -c dis_if.c -o dis_if.o

draw.o: draw.c draw.h ../V/Alib.h ../V/VColor.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../util/gui.h ../util/memory.h ../util/units.h
	$(CC) $(CFLAGS) -c draw.c -o draw.o

drone.o: drone.c drone.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/disx.h ../dis/dis/earth.h ../util/error.h ../util/gui.h ../util/memory.h ../util/prng.h ../util/units.h ../util/varray.h air.h alarm.h aps.h browse.h dis_if.h flaps.h gear.h interpolate.h inventory.h list.h manifest.h players.h pm.h prompt.h radar.h scale.h weapon.h zone.h zones.h
	$(CC) $(CFLAGS) -c drone.c -o drone.o

effects.o: effects.c effects.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/earth.h ../util/gui.h ../util/memory.h ../util/prng.h ../util/units.h air.h interpolate.h inventory.h manifest.h pm.h scale.h zone.h zones.h
	$(CC) $(CFLAGS) -c effects.c -o effects.o

events.o: events.c events.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/disx.h ../dis/dis/earth.h ../util/error.h ../util/gui.h ../util/units.h ../util/varray.h adf.h air.h aps.h box.h browse.h commands.h dis_if.h drone.h flaps.h gear.h hsi.h hud.h instruments.h interpolate.h inventory.h joystick.h manifest.h mouse.h pm.h prompt.h radar.h render.h scale.h sounds.h terminal.h weapon.h windows.h zone.h zones.h
	$(CC) $(CFLAGS) -c events.c -o events.o

flaps.o: flaps.c flaps.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/earth.h ../util/gui.h ../util/units.h air.h damage.h interpolate.h inventory.h manifest.h pm.h scale.h zone.h zones.h
	$(CC) $(CFLAGS) -c flaps.c -o flaps.o

gear.o: gear.c gear.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/earth.h ../util/error.h ../util/gui.h ../util/memory.h ../util/units.h air.h damage.h interpolate.h inventory.h manifest.h pm.h prompt.h scale.h sounds.h terrain.h zone.h zones.h
	$(CC) $(CFLAGS) -c gear.c -o gear.o

hsi.o: hsi.c hsi.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/earth.h ../util/gui.h ../util/memory.h ../util/units.h air.h interpolate.h inventory.h manifest.h navaid.h pm.h scale.h vpath.h vpath_gallery.h zone.h zones.h
	$(CC) $(CFLAGS) -c hsi.c -o hsi.o

hud.o: hud.c hud.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/earth.h ../util/gui.h ../util/memory.h ../util/units.h air.h aps.h damage.h draw.h interpolate.h inventory.h m61a1.h manifest.h pm.h scale.h vpath.h weapon.h zone.h zones.h
	$(CC) $(CFLAGS) -c hud.c -o hud.o

init.o: init.c init.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/disx.h ../dis/dis/earth.h ../util/error.h ../util/gui.h ../util/memory.h ../util/units.h ../util/varray.h ../util/zulu.h ../wmm/wmm.h air.h alarm.h astro.h dis_if.h interpolate.h inventory.h manifest.h planes.h pm.h scale.h vpath.h vpath_gallery.h weapon.h zone.h zones.h
	$(CC) $(CFLAGS) -c init.c -o init.o

instruments.o: instruments.c instruments.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/earth.h ../util/gui.h ../util/memory.h ../util/units.h air.h aps.h draw.h interpolate.h inventory.h manifest.h pm.h scale.h vpath.h zone.h zones.h
	$(CC) $(CFLAGS) -c instruments.c -o instruments.o

interpolate.o: interpolate.c interpolate.h ../util/error.h ../util/memory.h
	$(CC) $(CFLAGS) -c interpolate.c -o interpolate.o

inventory.o: inventory.c inventory.h ../V/Alib.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlib.h ../V/Vlibmath.h ../dis/dis/dis.h ../dis/dis/earth.h ../util/error.h ../util/gui.h ../util/memory.h ../util/reader.h ../util/units.h air.h init.h interpolate.h manifest.h planes.h pm.h scale.h weapon.h zone.h zones.h
	$(CC) $(CFLAGS) -c inventory.c -o inventory.o

joystick.o: joystick.c joystick.h
	$(CC) $(CFLAGS) -c joystick.c -o joystick.o

list.o: list.c list.h ../util/memory.h
	$(CC) $(CFLAGS) -c list.c -o list.o
