=== src/gedit/Makefile ===
# This file generated by make-makefile, do not edit!
# Create Makefile-include.txt instead for your customizations.
CC := gcc
CFLAGS := -Wall -Werror -g -fmax-errors=99 -Wuninitialized -Wmissing-prototypes -Wredundant-decls
LIBS :=

.PHONY: all
all:
	make  CrExFormDlg.o VReadObject.o VWriteObject.o actions.o balance.o cell.o circle.o dialog.o edit.o gedit.exe gutil.o gutil1.o io.o shared.o

include Makefile-include.txt

.PHONY: test
test: gedit.exe
	./gedit.exe


.PHONY: clean
clean:
	rm -f *.o *.exe *.stackdump gedit

CrExFormDlg.o: CrExFormDlg.c CrExFormDlg.h ../V/Vlibmath.h shared.h
	$(CC) $(CFLAGS) -c CrExFormDlg.c -o CrExFormDlg.o

VReadObject.o: VReadObject.c VReadObject.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlibmath.h ../util/memory.h ../util/units.h
	$(CC) $(CFLAGS) -c VReadObject.c -o VReadObject.o

VWriteObject.o: VWriteObject.c VWriteObject.h ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlibmath.h ../util/error.h ../util/units.h shared.h
	$(CC) $(CFLAGS) -c VWriteObject.c -o VWriteObject.o

actions.o: actions.c actions.h ../V/Vlibmath.h circle.h edit.h gutil.h shared.h
	$(CC) $(CFLAGS) -c actions.c -o actions.o

balance.o: balance.c balance.h ../V/Vlibmath.h
	$(CC) $(CFLAGS) -c balance.c -o balance.o

cell.o: cell.c cell.h ../V/Vlibmath.h shared.h
	$(CC) $(CFLAGS) -c cell.c -o cell.o

circle.o: circle.c circle.h ../V/Vlibmath.h edit.h gutil.h gutil1.h shared.h
	$(CC) $(CFLAGS) -c circle.c -o circle.o

dialog.o: dialog.c dialog.h ../V/Vlibmath.h CrExFormDlg.h cell.h shared.h
	$(CC) $(CFLAGS) -c dialog.c -o dialog.o

edit.o: edit.c edit.h ../V/Vlibmath.h ../util/memory.h gutil.h gutil1.h shared.h
	$(CC) $(CFLAGS) -c edit.c -o edit.o

gedit.o: gedit.c ../V/VColor.h ../V/VObjects.h ../V/VPoly.h ../V/Vlibmath.h ../util/memory.h ../util/units.h CrExFormDlg.h VReadObject.h VWriteObject.h actions.h dialog.h gutil1.h io.h shared.h
	$(CC) $(CFLAGS) -c gedit.c -o gedit.o

gedit.exe: ../V/VColor.o ../V/VObjects.o ../V/VPoly.o ../V/Vlibmath.o ../util/error.o ../util/gui.o ../util/memory.o ../util/sparsearray.o ../util/units.o CrExFormDlg.o VReadObject.o VWriteObject.o actions.o cell.o circle.o dialog.o edit.o gedit.o gutil.o gutil1.o io.o shared.o
	$(CC) $(CFLAGS) -o gedit.exe  ../V/VColor.o ../V/VObjects.o ../V/VPoly.o ../V/Vlibmath.o ../util/error.o ../util/gui.o ../util/memory.o ../util/sparsearray.o ../util/units.o CrExFormDlg.o VReadObject.o VWriteObject.o actions.o cell.o circle.o dialog.o edit.o gedit.o gutil.o gutil1.o io.o shared.o $(LIBS) -lX11 -lXm -lXt -lm 

gutil.o: gutil.c gutil.h ../V/Vlibmath.h ../util/memory.h edit.h gutil1.h shared.h
	$(CC) $(CFLAGS) -c gutil.c -o gutil.o

gutil1.o: gutil1.c gutil1.h ../V/Vlibmath.h edit.h shared.h
	$(CC) $(CFLAGS) -c gutil1.c -o gutil1.o

io.o: io.c io.h ../V/Vlibmath.h ../util/memory.h dialog.h edit.h gutil.h gutil1.h shared.h
	$(CC) $(CFLAGS) -c io.c -o io.o

shared.o: shared.c shared.h ../V/Vlibmath.h dialog.h edit.h gutil.h gutil1.h io.h
	$(CC) $(CFLAGS) -c shared.c -o shared.o

# Checksum of the original file: 1198779506
