=== src/util/Makefile ===
# This file generated by make-makefile, do not edit!
# Create Makefile-include.txt instead for your customizations.
CC := gcc
CFLAGS := -Wall -Werror -g -fmax-errors=99 -Wuninitialized -Wmissing-prototypes -Wredundant-decls
LIBS :=

.PHONY: all
all:
	make  audio.o error.o gui.o hashtable.o memory.o prng.o reader.o sparsearray.o timer.o units.o varray.o wav.o zulu.o

#include Makefile-include.txt

.PHONY: clean
clean:
	rm -f *.o *.exe *.stackdump

audio.o: audio.c audio.h error.h memory.h wav.h
	$(CC) $(CFLAGS) -c audio.c -o audio.o

error.o: error.c error.h
	$(CC) $(CFLAGS) -c error.c -o error.o

gui.o: gui.c gui.h ../util/error.h ../util/memory.h
	$(CC) $(CFLAGS) -c gui.c -o gui.o

hashtable.o: hashtable.c hashtable.h memory.h
	$(CC) $(CFLAGS) -c hashtable.c -o hashtable.o

memory.o: memory.c memory.h error.h
	$(CC) $(CFLAGS) -c memory.c -o memory.o

prng.o: prng.c prng.h
	$(CC) $(CFLAGS) -c prng.c -o prng.o

reader.o: reader.c reader.h memory.h
	$(CC) $(CFLAGS) -c reader.c -o reader.o

sparsearray.o: sparsearray.c sparsearray.h memory.h
	$(CC) $(CFLAGS) -c sparsearray.c -o sparsearray.o

timer.o: timer.c timer.h error.h memory.h
	$(CC) $(CFLAGS) -c timer.c -o timer.o

units.o: units.c units.h
	$(CC) $(CFLAGS) -c units.c -o units.o

varray.o: varray.c varray.h error.h memory.h
	$(CC) $(CFLAGS) -c varray.c -o varray.o

wav.o: wav.c wav.h error.h memory.h
	$(CC) $(CFLAGS) -c wav.c -o wav.o

zulu.o: zulu.c zulu.h error.h
	$(CC) $(CFLAGS) -c zulu.c -o zulu.o

# Checksum of the original file: 4151888144
