=== src/wmm/Makefile ===
# This file generated by make-makefile, do not edit!
# Create Makefile-include.txt instead for your customizations.
CC := gcc
CFLAGS := -Wall -Werror -g -fmax-errors=99 -Wuninitialized -Wmissing-prototypes -Wredundant-decls
LIBS :=

.PHONY: all
all:
	make  Geomagnetism.o wmm.o

#include Makefile-include.txt

.PHONY: clean
clean:
	rm -f *.o *.exe *.stackdump

Geomagnetism.o: Geomagnetism.c Geomagnetism.h
	$(CC) $(CFLAGS) -c Geomagnetism.c -o Geomagnetism.o

wmm.o: wmm.c wmm.h ../util/error.h ../util/units.h ../util/zulu.h Geomagnetism.h
	$(CC) $(CFLAGS) -c wmm.c -o wmm.o

# Checksum of the original file: 2847787348
