=== test/V/Makefile ===
# This file generated by make-makefile, do not edit!
# Create Makefile-include.txt instead for your customizations.
CC := gcc
CFLAGS := -Wall -Werror -g -fmax-errors=99 -Wuninitialized -Wmissing-prototypes -Wredundant-decls
LIBS :=

.PHONY: all
all:
	make  Vlibmath-test.exe animate.exe app.exe

#include Makefile-include.txt

.PHONY: test
test: Vlibmath-test.exe animate.exe app.exe
	./Vlibmath-test.exe
	./animate.exe
	./app.exe


.PHONY: clean
clean:
	rm -f *.o *.exe *.stackdump Vlibmath-test animate app

Vlibmath-test.o: Vlibmath-test.c ../../src/V/Vlibmath.h
	$(CC) $(CFLAGS) -c Vlibmath-test.c -o Vlibmath-test.o

Vlibmath-test.exe: ../../src/V/Vlibmath.o Vlibmath-test.o
	$(CC) $(CFLAGS) -o Vlibmath-test.exe  ../../src/V/Vlibmath.o Vlibmath-test.o $(LIBS) -lm 

animate.o: animate.c
	$(CC) $(CFLAGS) -c animate.c -o animate.o

animate.exe: animate.o
	$(CC) $(CFLAGS) -o animate.exe  animate.o $(LIBS) 

app.o: app.c ../../src/V/Alib.h ../../src/V/VColor.h ../../src/V/VPoly.h ../../src/V/Vlib.h ../../src/V/Vlibmath.h ../../src/util/gui.h ../../src/util/units.h
	$(CC) $(CFLAGS) -c app.c -o app.o

app.exe: ../../src/V/Alib.o ../../src/V/VColor.o ../../src/V/VGlyph.o ../../src/V/VPoly.o ../../src/V/VRoman.o ../../src/V/Vlib.o ../../src/V/Vlibmath.o ../../src/util/error.o ../../src/util/gui.o ../../src/util/memory.o ../../src/util/sparsearray.o ../../src/util/units.o app.o
	$(CC) $(CFLAGS) -o app.exe  ../../src/V/Alib.o ../../src/V/VColor.o ../../src/V/VGlyph.o ../../src/V/VPoly.o ../../src/V/VRoman.o ../../src/V/Vlib.o ../../src/V/Vlibmath.o ../../src/util/error.o ../../src/util/gui.o ../../src/util/memory.o ../../src/util/sparsearray.o ../../src/util/units.o app.o $(LIBS) -lm 

# Checksum of the original file: 2997635812
