=== test/acm/Makefile ===
# This file generated by make-makefile, do not edit!
# Create Makefile-include.txt instead for your customizations.
CC := gcc
CFLAGS := -Wall -Werror -g -fmax-errors=99 -Wuninitialized -Wmissing-prototypes -Wredundant-decls
LIBS :=

.PHONY: all
all:
	make  astro-test.exe dis_if-test.exe zones-test.exe

include Makefile-include.txt

.PHONY: test
test: astro-test.exe dis_if-test.exe zones-test.exe
	./astro-test.exe
	./dis_if-test.exe
	./zones-test.exe


.PHONY: clean
clean:
	rm -f *.o *.exe *.stackdump astro-test dis_if-test zones-test

astro-test.o: astro-test.c ../../src/V/Vlibmath.h ../../src/acm/astro.h ../../src/dis/dis/earth.h ../../src/util/units.h ../../src/util/zulu.h
	$(CC) $(CFLAGS) -c astro-test.c -o astro-test.o

astro-test.exe: ../../src/V/Vlibmath.o ../../src/acm/astro.o ../../src/dis/dis/earth.o ../../src/util/error.o ../../src/util/memory.o ../../src/util/units.o ../../src/util/zulu.o astro-test.o
	$(CC) $(CFLAGS) -o astro-test.exe  ../../src/V/Vlibmath.o ../../src/acm/astro.o ../../src/dis/dis/earth.o ../../src/util/error.o ../../src/util/memory.o ../../src/util/units.o ../../src/util/zulu.o astro-test.o $(LIBS) -lm 

dis_if-test.o: dis_if-test.c ../../src/V/Alib.h ../../src/V/VColor.h ../../src/V/VObjects.h ../../src/V/VPoly.h ../../src/V/Vlib.h ../../src/V/Vlibmath.h ../../src/acm/air.h ../../src/acm/dis_if.h ../../src/acm/interpolate.h ../../src/acm/inventory.h ../../src/acm/manifest.h ../../src/acm/pm.h ../../src/acm/scale.h ../../src/acm/zone.h ../../src/acm/zones.h ../../src/dis/dis/dis.h ../../src/dis/dis/disx.h ../../src/dis/dis/earth.h ../../src/util/gui.h ../../src/util/units.h ../../src/util/varray.h
	$(CC) $(CFLAGS) -c dis_if-test.c -o dis_if-test.o

dis_if-test.exe: ../../src/V/Alib.o ../../src/V/VColor.o ../../src/V/VGlyph.o ../../src/V/VObjects.o ../../src/V/VPoly.o ../../src/V/VRoman.o ../../src/V/Vlib.o ../../src/V/Vlibmath.o ../../src/acm/adf.o ../../src/acm/aim120.o ../../src/acm/aim9m.o ../../src/acm/air.o ../../src/acm/alarm.o ../../src/acm/aps.o ../../src/acm/astro.o ../../src/acm/box.o ../../src/acm/browse.o ../../src/acm/ccip.o ../../src/acm/commands.o ../../src/acm/damage.o ../../src/acm/dis_if.o ../../src/acm/draw.o ../../src/acm/drone.o ../../src/acm/effects.o ../../src/acm/events.o ../../src/acm/flaps.o ../../src/acm/gear.o ../../src/acm/hsi.o ../../src/acm/hud.o ../../src/acm/init.o ../../src/acm/instruments.o ../../src/acm/interpolate.o ../../src/acm/inventory.o ../../src/acm/joystick.o ../../src/acm/list.o ../../src/acm/m61a1.o ../../src/acm/magnetic_compass.o ../../src/acm/manifest.o ../../src/acm/missile.o ../../src/acm/mouse.o ../../src/acm/navaid.o ../../src/acm/panel.o ../../src/acm/patchlevel.o ../../src/acm/place.o ../../src/acm/planes.o ../../src/acm/players.o ../../src/acm/pm.o ../../src/acm/prompt.o ../../src/acm/radar.o ../../src/acm/render.o ../../src/acm/runway.o ../../src/acm/scale.o ../../src/acm/sounds.o ../../src/acm/terminal.o ../../src/acm/terrain.o ../../src/acm/update.o ../../src/acm/viewer.o ../../src/acm/vpath.o ../../src/acm/vpath_gallery.o ../../src/acm/weapon.o ../../src/acm/weapon_null.o ../../src/acm/windows.o ../../src/acm/zone.o ../../src/acm/zones.o ../../src/dis/dis/datum.o ../../src/dis/dis/dis.o ../../src/dis/dis/disx.o ../../src/dis/dis/earth.o ../../src/dis/dis/xdr.o ../../src/dis/dis/xdr_dis.o ../../src/util/audio.o ../../src/util/error.o ../../src/util/gui.o ../../src/util/memory.o ../../src/util/prng.o ../../src/util/reader.o ../../src/util/sparsearray.o ../../src/util/timer.o ../../src/util/units.o ../../src/util/varray.o ../../src/util/wav.o ../../src/util/zulu.o ../../src/wmm/Geomagnetism.o ../../src/wmm/wmm.o dis_if-test.o
	$(CC) $(CFLAGS) -o dis_if-test.exe  ../../src/V/Alib.o ../../src/V/VColor.o ../../src/V/VGlyph.o ../../src/V/VObjects.o ../../src/V/VPoly.o ../../src/V/VRoman.o ../../src/V/Vlib.o ../../src/V/Vlibmath.o ../../src/acm/adf.o ../../src/acm/aim120.o ../../src/acm/aim9m.o ../../src/acm/air.o ../../src/acm/alarm.o ../../src/acm/aps.o ../../src/acm/astro.o ../../src/acm/box.o ../../src/acm/browse.o ../../src/acm/ccip.o ../../src/acm/commands.o ../../src/acm/damage.o ../../src/acm/dis_if.o ../../src/acm/draw.o ../../src/acm/drone.o ../../src/acm/effects.o ../../src/acm/events.o ../../src/acm/flaps.o ../../src/acm/gear.o ../../src/acm/hsi.o ../../src/acm/hud.o ../../src/acm/init.o ../../src/acm/instruments.o ../../src/acm/interpolate.o ../../src/acm/inventory.o ../../src/acm/joystick.o ../../src/acm/list.o ../../src/acm/m61a1.o ../../src/acm/magnetic_compass.o ../../src/acm/manifest.o ../../src/acm/missile.o ../../src/acm/mouse.o ../../src/acm/navaid.o ../../src/acm/panel.o ../../src/acm/patchlevel.o ../../src/acm/place.o ../../src/acm/planes.o ../../src/acm/players.o ../../src/acm/pm.o ../../src/acm/prompt.o ../../src/acm/radar.o ../../src/acm/render.o ../../src/acm/runway.o ../../src/acm/scale.o ../../src/acm/sounds.o ../../src/acm/terminal.o ../../src/acm/terrain.o ../../src/acm/update.o ../../src/acm/viewer.o ../../src/acm/vpath.o ../../src/acm/vpath_gallery.o ../../src/acm/weapon.o ../../src/acm/weapon_null.o ../../src/acm/windows.o ../../src/acm/zone.o ../../src/acm/zones.o ../../src/dis/dis/datum.o ../../src/dis/dis/dis.o ../../src/dis/dis/disx.o ../../src/dis/dis/earth.o ../../src/dis/dis/xdr.o ../../src/dis/dis/xdr_dis.o ../../src/util/audio.o ../../src/util/error.o ../../src/util/gui.o ../../src/util/memory.o ../../src/util/prng.o ../../src/util/reader.o ../../src/util/sparsearray.o ../../src/util/timer.o ../../src/util/units.o ../../src/util/varray.o ../../src/util/wav.o ../../src/util/zulu.o ../../src/wmm/Geomagnetism.o ../../src/wmm/wmm.o dis_if-test.o $(LIBS) -lm 

zones-test.o: zones-test.c ../../src/V/Vlibmath.h ../../src/acm/zones.h ../../src/dis/dis/earth.h ../../src/util/memory.h ../../src/util/units.h
	$(CC) $(CFLAGS) -c zones-test.c -o zones-test.o

zones-test.exe: ../../src/V/Alib.o ../../src/V/VColor.o ../../src/V/VGlyph.o ../../src/V/VObjects.o ../../src/V/VPoly.o ../../src/V/VRoman.o ../../src/V/Vlib.o ../../src/V/Vlibmath.o ../../src/acm/adf.o ../../src/acm/aim120.o ../../src/acm/aim9m.o ../../src/acm/air.o ../../src/acm/alarm.o ../../src/acm/aps.o ../../src/acm/astro.o ../../src/acm/box.o ../../src/acm/browse.o ../../src/acm/ccip.o ../../src/acm/commands.o ../../src/acm/damage.o ../../src/acm/dis_if.o ../../src/acm/draw.o ../../src/acm/drone.o ../../src/acm/effects.o ../../src/acm/events.o ../../src/acm/flaps.o ../../src/acm/gear.o ../../src/acm/hsi.o ../../src/acm/hud.o ../../src/acm/init.o ../../src/acm/instruments.o ../../src/acm/interpolate.o ../../src/acm/inventory.o ../../src/acm/joystick.o ../../src/acm/list.o ../../src/acm/m61a1.o ../../src/acm/magnetic_compass.o ../../src/acm/manifest.o ../../src/acm/missile.o ../../src/acm/mouse.o ../../src/acm/navaid.o ../../src/acm/panel.o ../../src/acm/patchlevel.o ../../src/acm/place.o ../../src/acm/planes.o ../../src/acm/players.o ../../src/acm/pm.o ../../src/acm/prompt.o ../../src/acm/radar.o ../../src/acm/render.o ../../src/acm/runway.o ../../src/acm/scale.o ../../src/acm/sounds.o ../../src/acm/terminal.o ../../src/acm/terrain.o ../../src/acm/update.o ../../src/acm/viewer.o ../../src/acm/vpath.o ../../src/acm/vpath_gallery.o ../../src/acm/weapon.o ../../src/acm/weapon_null.o ../../src/acm/windows.o ../../src/acm/zone.o ../../src/acm/zones.o ../../src/dis/dis/datum.o ../../src/dis/dis/dis.o ../../src/dis/dis/disx.o ../../src/dis/dis/earth.o ../../src/dis/dis/xdr.o ../../src/dis/dis/xdr_dis.o ../../src/util/audio.o ../../src/util/error.o ../../src/util/gui.o ../../src/util/memory.o ../../src/util/prng.o ../../src/util/reader.o ../../src/util/sparsearray.o ../../src/util/timer.o ../../src/util/units.o ../../src/util/varray.o ../../src/util/wav.o ../../src/util/zulu.o ../../src/wmm/Geomagnetism.o ../../src/wmm/wmm.o zones-test.o
	$(CC) $(CFLAGS) -o zones-test.exe  ../../src/V/Alib.o ../../src/V/VColor.o ../../src/V/VGlyph.o ../../src/V/VObjects.o ../../src/V/VPoly.o ../../src/V/VRoman.o ../../src/V/Vlib.o ../../src/V/Vlibmath.o ../../src/acm/adf.o ../../src/acm/aim120.o ../../src/acm/aim9m.o ../../src/acm/air.o ../../src/acm/alarm.o ../../src/acm/aps.o ../../src/acm/astro.o ../../src/acm/box.o ../../src/acm/browse.o ../../src/acm/ccip.o ../../src/acm/commands.o ../../src/acm/damage.o ../../src/acm/dis_if.o ../../src/acm/draw.o ../../src/acm/drone.o ../../src/acm/effects.o ../../src/acm/events.o ../../src/acm/flaps.o ../../src/acm/gear.o ../../src/acm/hsi.o ../../src/acm/hud.o ../../src/acm/init.o ../../src/acm/instruments.o ../../src/acm/interpolate.o ../../src/acm/inventory.o ../../src/acm/joystick.o ../../src/acm/list.o ../../src/acm/m61a1.o ../../src/acm/magnetic_compass.o ../../src/acm/manifest.o ../../src/acm/missile.o ../../src/acm/mouse.o ../../src/acm/navaid.o ../../src/acm/panel.o ../../src/acm/patchlevel.o ../../src/acm/place.o ../../src/acm/planes.o ../../src/acm/players.o ../../src/acm/pm.o ../../src/acm/prompt.o ../../src/acm/radar.o ../../src/acm/render.o ../../src/acm/runway.o ../../src/acm/scale.o ../../src/acm/sounds.o ../../src/acm/terminal.o ../../src/acm/terrain.o ../../src/acm/update.o ../../src/acm/viewer.o ../../src/acm/vpath.o ../../src/acm/vpath_gallery.o ../../src/acm/weapon.o ../../src/acm/weapon_null.o ../../src/acm/windows.o ../../src/acm/zone.o ../../src/acm/zones.o ../../src/dis/dis/datum.o ../../src/dis/dis/dis.o ../../src/dis/dis/disx.o ../../src/dis/dis/earth.o ../../src/dis/dis/xdr.o ../../src/dis/dis/xdr_dis.o ../../src/util/audio.o ../../src/util/error.o ../../src/util/gui.o ../../src/util/memory.o ../../src/util/prng.o ../../src/util/reader.o ../../src/util/sparsearray.o ../../src/util/timer.o ../../src/util/units.o ../../src/util/varray.o ../../src/util/wav.o ../../src/util/zulu.o ../../src/wmm/Geomagnetism.o ../../src/wmm/wmm.o zones-test.o $(LIBS) -lm 

# Checksum of the original file: 2035087630
