=== test/dis/Makefile ===
# This file generated by make-makefile, do not edit!
# Create Makefile-include.txt instead for your customizations.
CC := gcc
CFLAGS := -Wall -Werror -g -fmax-errors=99 -Wuninitialized -Wmissing-prototypes -Wredundant-decls
LIBS :=

.PHONY: all
all:
	cd ./dis && make all

#include Makefile-include.txt

.PHONY: clean
clean:
	rm -f *.o *.exe *.stackdump
	cd ./dis && make clean

# Checksum of the original file: 2754672170
