=== debian/changelog ===
acm (6.0+20200416-1) unstable; urgency=medium

  * Switch to new upstream source,
    http://www.icosaedro.it/acm/download.html.  (Closes: #362023)
    Also does not exhibit some "black screen" behaviour from the
    previous version.  (Closes: #765815)
  * Take opportunity to switch to source format 3 / quilt.
  * Patch inventory.c for format errors.  Using changes suggested by
    upstream, thank you!  (fix_inventory.patch)
  * Fix enum so that acm builds. (fix_mouse_stick_mode_enum.patch)
  * Set directories for Debian filesystem (set_default_object_dir.patch
    and fix_paths_in_acm_tcl.patch)
  * Revise build-depends for substantially revised upstream code.
  * Add some hardening (hardening1.patch).

 -- Phil Brooke <pjb@debian.org>  Tue, 17 Nov 2020 11:52:56 +0000

acm (5.0-30) unstable; urgency=medium

  * Fix FTBFS with gcc-10.  Due to variable hasFired in aim120.c that
    should be static.  (Closes: 956978)
  * Add <string.h> to radar.c.
  * Bump standards-version to 4.5.0.

 -- Phil Brooke <pjb@debian.org>  Wed, 19 Aug 2020 11:45:47 +0100

acm (5.0-29.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libgdbm-compat-dev and fix the FTBFS with newer gdbm
    versions. (Closes: #889530)
  * wrap-and-sort -sa.
  * Switch to compat level 11 (was 6).
  * d/rules: Use the correct dpkg buildflag variable CFLAGS instead of
    DEBCFLAGS. This will also ensure that the -dbgsym package is created
    correctly.
  * Fix error "format-not-a-string-literal".

 -- Markus Koschany <apo@debian.org>  Wed, 18 Apr 2018 03:18:08 +0200

acm (5.0-29.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS: Type of arg 1 to dbmclose must be hash (not constant
    item) at ./create-tables-5 (perl 5.22?)":
    Use dbmclose with a hash argument.
    And close the correct file handles as well.
    (Closes: #808489)

 -- gregor herrmann <gregoa@debian.org>  Mon, 21 Dec 2015 19:30:49 +0100

acm (5.0-29) unstable; urgency=medium

  * Fix FTBFS with clang as suggested by Arthur Marble.
    Fixed the non-void function should return a value in
      dis/test/disscope.c
      src/splash.c
    Thanks, Arthur (closes: 740019).
  * Desktop integration of games (closes: 737788):
     * Added a desktop file (acm.desktop).
     * Desktop icons added (acm*.png).
     * Menu icon added (acm.xpm).
  * Bump standards-version to 3.9.6.
  * Added source/format 1.0.
  * Added build-depends on sharutils to uudecode the PNG icons.
  * Added acm.dirs as a result of changes above.
  * Import buildflags.mk.

 -- Phil Brooke <pjb@debian.org>  Sat, 18 Oct 2014 11:31:30 +0100

acm (5.0-28) unstable; urgency=low

  * Merging revised description from 5.0-27ubuntu2 (closes: 588894).
    Thanks, Sam L.
  * Fix synposis.
  * Bump standards-version to 3.9.2.
  * Update debian/rules for recommended build targets and replace dh_clean
    -k with dh_prep.

 -- Phil Brooke <pjb@debian.org>  Wed, 07 Dec 2011 10:59:30 +0000

acm (5.0-27) unstable; urgency=low

  * Fix FTBFS on hurd-i386:
      * Don't set SVR4 flag in configure (don't want filio.h).
      * Add libelfg0-dev as build-depends for hurd-i386.
      * Fix path in dis/lib/sitename.c.
      * Fix use of perror &c. in dis/sdbm/util.c.

 -- Phil Brooke <pjb@debian.org>  Sat, 13 Feb 2010 17:07:26 +0000

acm (5.0-26) unstable; urgency=low

  * Bump standards version to 3.8.4.
  * Add ${misc:Depends} to Depends.
  * Fix interpolate.h for FTBFS.
  * Removed use of libXt and libnsl.

 -- Phil Brooke <pjb@debian.org>  Sun, 07 Feb 2010 16:47:08 +0000

acm (5.0-25) unstable; urgency=low

  * Update to standards-version 3.8.2.
  * Replaced build-dependency on x-dev with x11proto-core-dev
    (closes: #515356).
  * Bump debian/compat to 6 and build-depends on debhelper.
  * Now refer to GPL-2 common licence, not the GPL.
  * Adjust copyright notice in debian/copyright to add dates.

 -- Phil Brooke <pjb@debian.org>  Tue, 23 Jun 2009 18:01:46 +0100

acm (5.0-24) unstable; urgency=low

  * Acknowledge NMU -23.1 -- thanks.
  * Update to standards-version 3.7.3:
      * Changed section in menu.
  * Removed DH_COMPAT line from rules, replaced with debian/compat.
  * No longer ignore make distclean errors in rules.

 -- Phil Brooke <pjb@debian.org>  Thu, 20 Dec 2007 20:56:21 +0000

acm (5.0-23.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Fix several initialization bugs that can trigger crashes on some
    architectures.  Closes: #413174.

 -- Steve Langasek <vorlon@debian.org>  Tue,  6 Mar 2007 18:05:34 -0800

acm (5.0-23) unstable; urgency=low

  * Applied patch from Petr Salinger to fix FTBFS on GNU/kFreeBSD
    (closes: #378217).

 -- Phil Brooke <pjb@debian.org>  Wed, 26 Jul 2006 21:51:23 +0000

acm (5.0-22) unstable; urgency=low

  * Applied patch from Mohammed Adnène Trojette:
      * Correct copyright file to show original source (closes: #372495).
      * Bump standards-version to 3.7.2 (no changes needed).
  * Added PostScript version of acmdoc.rtf (HTML conversion lost images)
    (closes: #372496).

 -- Phil Brooke <pjb@debian.org>  Sat, 10 Jun 2006 14:01:11 +0100

acm (5.0-21) unstable; urgency=low

  * Replaced xlibs-dev with libx11-dev, libxext-dev, libxt-dev, x-dev.
  * Bumped DH_COMPAT to 4.

 -- Phil Brooke <pjb@debian.org>  Wed,  4 Jan 2006 16:17:12 +0000

acm (5.0-20) unstable; urgency=low

  * Added menu hints as suggested by Clarence Risher (closes: #311036).
  * Bumped standards-version to 3.6.2.
  * Updated FSF postal address in copyright file.
  * prerm now uses /bin/bash not /bin/sh.
  * Added dummy time/date stamp to changelog entry for 4.7-1.

 -- Phil Brooke <pjb@debian.org>  Sun, 11 Sep 2005 15:17:18 +0100

acm (5.0-19) unstable; urgency=low

  * Applied patch from Andreas Jochens to fix dis/sdbm/util.c so that
    acm builds with amd64/gcc-3.4 (Closes: #280272).

 -- Phil Brooke <pjb@debian.org>  Thu, 11 Nov 2004 18:50:05 +0000

acm (5.0-18) unstable; urgency=low


