=== debian/control ===
Source: acm
Section: games
Priority: optional
Maintainer: Phil Brooke <pjb@debian.org>
Build-Depends: debhelper-compat (= 13), libasound2-dev, libx11-dev, libmotif-dev, sharutils
Standards-Version: 4.5.0
Homepage: http://www.icosaedro.it/acm/download.html

Package: acm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tk
Description: Multi-player classic aerial combat simulation
 A multiplayer aerial combat simulation. Players engage in air to air
 combat against one another using heat seeking missiles and cannons.
 .
 Main features include:
  * Simulation with 6 degrees of freedom.
  * Structural limit to the vertical positive/negative load.
  * Classic instruments, navigation and head-up display (HUD).
  * Several aircraft models implemented, both civil and military.
  * Two scenes provided, with many runways and radio stations.
 .
 acm runs under the X window system.  This version of acm is
 implemented as a distributed simulation.  It communicates information
 via the IEEE Distributed Interactive Simulation protocol.
 .
 The original version of acm was written by Riley Rainey.  This is
 Umberto Salsi's updated version.
